%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	NTLM

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	Perl NTLM Module.
Name:		perl-%{perlname}
Version:	1.03
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=NTLM
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl NTLM Module.
For more details see: http://search.cpan.org/search?module=NTLM

%prep
%setup -q -n %{perlname}-%{version}
# fix the /usr/local issue
find ./ -type f -exec sed -i "s#/usr/local/bin/perl#/usr/bin/perl# g" '{}' ';'

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.03-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.02-4
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.02-3
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.02-2
- Build SRPM
* Tue May 25 2004 Christian Metzen <metzench@ccux.de> 1.02-1
- Initial Release
